Bug 869378 - API does not list providedProducts for custom content
API does not list providedProducts for custom content
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Lukas Zapletal
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-23 14:05 EDT by Jeff Weiss
Modified: 2014-11-09 17:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:19:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Weiss 2012-10-23 14:05:41 EDT
Description of problem:
See below for CLI output 

Version-Release number of selected component (if applicable):
Katello Version: 1.2.1-1.git.2.10b2e82.el6_3

How reproducible:


Steps to Reproduce:
1. Add some custom repos, sync and promote
2. register system to the first env where you promoted
3. list system's available pools in cli
  
Actual results:
see below.  All "Provided Products" fields are empty

Expected results:
The custom product should be listed.  I don't see any reason it should work differently from Red Hat content.  The only difference is for custom, the product name is the same as the pool name.

Additional info:

/scpc:root@10.16.120.165: #$ katello -u admin -p admin system subscriptions --name system-1023-115745-465 --org ACME_Corporation --available
--------------------------------------------------------------------------------
        Available Subscriptions for System [ system-1023-115745-465 ]
--------------------------------------------------------------------------------

Id                : 8a90f8253a8e36e3013a8e68c3f600c6
Name              : templ-prod-1023-121600-892
EndDate           : 2042-10-16T00:00:00.000+0000
Consumed          : 0
Quantity          : Unlimited
Provided products : 


Id                : 8a90f8253a8e36e3013a8e6829a000c1
Name              : templ-prod-1023-121521-059
EndDate           : 2042-10-16T00:00:00.000+0000
Consumed          : 0
Quantity          : Unlimited
Provided products : 


Id                : 8a90f8253a8e36e3013a8e67779200bc
Name              : templ-prod-1023-121436-236
EndDate           : 2042-10-16T00:00:00.000+0000
Consumed          : 0
Quantity          : Unlimited
Provided products : 


Id                : 8a90f8253a8e36e3013a8e63c73900af
Name              : ProductMulti-1023-120955-946
EndDate           : 2042-10-16T00:00:00.000+0000
Consumed          : 0
Quantity          : Unlimited
Provided products : 


Id                : 8a90f8253a8e36e3013a8e637ad300ac
Name              : ProductMulti-1023-120955-945
EndDate           : 2042-10-16T00:00:00.000+0000
Consumed          : 0
Quantity          : Unlimited
Provided products : 


Id                : 8a90f8253a8e36e3013a8e632ebf00a9
Name              : ProductMulti-1023-120955-944
EndDate           : 2042-10-16T00:00:00.000+0000
Consumed          : 0
Quantity          : Unlimited
Provided products : 


Id                : 8a90f8253a8e36e3013a8e616cd300a5
Name              : prod-1023-120800-742
EndDate           : 2042-10-16T00:00:00.000+0000
Consumed          : 0
Quantity          : Unlimited
Provided products : 


Id                : 8a90f8253a8e36e3013a8e5f0c3a0090
Name              : MySecondProduct-1023-120525-472
EndDate           : 2042-10-16T00:00:00.000+0000
Consumed          : 0
Quantity          : Unlimited
Provided products : 


Id                : 8a90f8253a8e36e3013a8e5b92540088
Name              : MyProduct-1023-120057-878
EndDate           : 2042-10-16T00:00:00.000+0000
Consumed          : 0
Quantity          : Unlimited
Provided products : 


Id                : 8a90f8253a8e36e3013a8e5b48d90085
Name              : MyProduct-1023-120057-877
EndDate           : 2042-10-16T00:00:00.000+0000
Consumed          : 0
Quantity          : Unlimited
Provided products : 


Id                : 8a90f8253a8e36e3013a8e5afe080082
Name              : MyProduct-1023-120057-876
EndDate           : 2042-10-16T00:00:00.000+0000
Consumed          : 0
Quantity          : Unlimited
Provided products : 


Id                : 8a90f8253a8e36e3013a8e5a5c040074
Name              : subscribe-me-1023-120018-526
EndDate           : 2042-10-16T00:00:00.000+0000
Consumed          : 1
Quantity          : Unlimited
Provided products : 


Id                : 8a90f8253a8e36e3013a8e4995230046
Name              : safari-1_0-1023-114148-120
EndDate           : 2042-10-16T00:00:00.000+0000
Consumed          : 0
Quantity          : Unlimited
Provided products : 


Id                : 8a90f8253a8e36e3013a8e3d5f770008
Name              : sync-test1-1023-112838-345
EndDate           : 2042-10-16T00:00:00.000+0000
Consumed          : 0
Quantity          : Unlimited
Provided products :
Comment 2 Lukas Zapletal 2013-02-12 12:05:26 EST
Bug https://bugzilla.redhat.com/show_bug.cgi?id=869378 shows that Provided products are not set for custom products.

Provided products are just marketing products which are not used for custom subscriptions. We could either hide this field for this case, or put N/A there. This patch does the latter, because the way we structure our python code does not allow hiding individual fields.

https://github.com/Katello/katello/pull/1571
Comment 3 Mike McCune 2013-09-19 14:19:34 EDT
These bugs have been resolved in upstream projects for a period of months so
I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to
re-open.

Note You need to log in before you can comment on or make changes to this bug.